Subject: Re: bug#36828: 27.0.50; Uninstalled emacs shows installed documentation

From: Óscar Fuentes <[email-masked]>
Date: Mon, 29 Jul 2019 20:42:06 +0200

Eli Zaretskii <[email-masked]> writes:

> I wasn't aware that Óscar meant to change entirely how Emacs finds all
> of its directories.  I still don't think that's what he meant.

FWIW, what I was trying to say is that I consider confusing (in the
sense of "wrong") that when I type C-h N the resulting document does not
correspond to what I just built and executed.

M-x describe-function shows the docstrings of the Emacs I'm executing,
which is the Right Thing. Likewise when I ask for the source code. I
would expect the same from C-h N, C-h i, etc. and not depend on the
existence of an install with the same version number which could be
quite out of sync with what I'm actually using.

If you consider that the change is difficult and not worth the hassle,
ok, I trust your judgement. But I fail to see a reason why making such
change would negatively affect anyone.